Tree BG 1
Tree
Tree
TreeLeaves
TreeLeaves
Cat IdleGrassGrassRockRock

Endpoints Beta Workflows

API de gestion des workflows.

Obtenir les enregistrements de workflows

GET /v1/workflows/registrations

200

Réponse réussie

next_cursor
*string|null
workflow_registrations
*array<WorkflowRegistration>

Liste des enregistrements de workflows

workflow_versions
*array<WorkflowRegistration>

Liste des enregistrements de workflow

Playground

Testez les endpoints en direct

curl https://api.mistral.ai/v1/workflows/registrations \
 -X GET \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE'

200

{
  "next_cursor": null,
  "workflow_registrations": [
    {
      "definition": {
        "input_schema": [
          null
        ]
      },
      "id": "ipsum eiusmod",
      "task_queue": "consequat do",
      "workflow_id": "reprehenderit ut dolore"
    }
  ],
  "workflow_versions": [
    {
      "definition": {
        "input_schema": [
          null
        ]
      },
      "id": "occaecat dolor sit",
      "task_queue": "nostrud",
      "workflow_id": "aute aliqua aute commodo"
    }
  ]
}

Exécuter un workflow

POST /v1/workflows/{workflow_identifier}/execute

200

Réponse réussie

WorkflowExecutionResponse

{object}

WorkflowExecutionSyncResponse

{object}

Playground

Testez les endpoints en direct

curl https://api.mistral.ai/v1/workflows/{workflow_identifier}/execute \
 -X POST \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE' \
 -H 'Content-Type: application/json' \
 -d '{}'

200

{
  "end_time": null,
  "execution_id": "ipsum eiusmod",
  "result": null,
  "root_execution_id": "consequat do",
  "start_time": "2025-10-07T20:56:01.974Z",
  "status": "RUNNING",
  "workflow_name": "reprehenderit ut dolore"
}

Exécuter l'enregistrement de workflow

POST /v1/workflows/registrations/{workflow_registration_id}/execute

200

Réponse réussie

WorkflowExecutionResponse

{object}

WorkflowExecutionSyncResponse

{object}

Playground

Testez les endpoints en direct

curl https://api.mistral.ai/v1/workflows/registrations/{workflow_registration_id}/execute \
 -X POST \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE' \
 -H 'Content-Type: application/json' \
 -d '{}'

200

{
  "end_time": null,
  "execution_id": "ipsum eiusmod",
  "result": null,
  "root_execution_id": "consequat do",
  "start_time": "2025-10-07T20:56:01.974Z",
  "status": "RUNNING",
  "workflow_name": "reprehenderit ut dolore"
}

Obtenir un workflow

GET /v1/workflows/{workflow_identifier}

200

Réponse réussie

Playground

Testez les endpoints en direct

curl https://api.mistral.ai/v1/workflows/{workflow_identifier} \
 -X GET \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE'

200

{
  "workflow": {
    "active": false,
    "customer_id": "ipsum eiusmod",
    "display_name": "consequat do",
    "id": "reprehenderit ut dolore",
    "name": "occaecat dolor sit",
    "type": "code",
    "workspace_id": "nostrud"
  }
}

Mettre à jour un workflow

PUT /v1/workflows/{workflow_identifier}

200

Réponse réussie

workflow
*Workflow|null

Workflow de l'enregistrement du workflow

Playground

Testez les endpoints en direct

curl https://api.mistral.ai/v1/workflows/{workflow_identifier} \
 -X PUT \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE' \
 -H 'Content-Type: application/json' \
 -d '{}'

200

{
  "workflow": null
}

Récupérer un enregistrement de workflow

GET /v1/workflows/registrations/{workflow_registration_id}

200

Réponse réussie

Playground

Testez les endpoints en direct

curl https://api.mistral.ai/v1/workflows/registrations/{workflow_registration_id} \
 -X GET \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE'

200

{
  "workflow_registration": {
    "active": false,
    "definition": {
      "input_schema": [
        null
      ]
    },
    "id": "ipsum eiusmod",
    "task_queue": "consequat do",
    "workflow_id": "reprehenderit ut dolore"
  },
  "workflow_version": {
    "active": false,
    "definition": {
      "input_schema": [
        null
      ]
    },
    "id": "occaecat dolor sit",
    "task_queue": "nostrud",
    "workflow_id": "aute aliqua aute commodo"
  }
}

Archiver un workflow

PUT /v1/workflows/{workflow_identifier}/archive

200

Réponse réussie

workflow
*Workflow|null

Workflow de l'enregistrement de workflow

Playground

Testez les endpoints en direct

curl https://api.mistral.ai/v1/workflows/{workflow_identifier}/archive \
 -X PUT \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE' \
 -H 'Content-Type: application/json'

200

{
  "workflow": null
}

Désarchiver un workflow

PUT /v1/workflows/{workflow_identifier}/unarchive

200

Réponse réussie

workflow
*Workflow|null

Workflow de l'enregistrement du workflow

Playground

Testez les endpoints en direct

curl https://api.mistral.ai/v1/workflows/{workflow_identifier}/unarchive \
 -X PUT \
 -H 'Authorization: Bearer YOUR_APIKEY_HERE' \
 -H 'Content-Type: application/json'

200

{
  "workflow": null
}